当前位置:   article > 正文

NX二次开发-UFUN拉伸函数UF_MODL_create_extruded_nxopen.uf.modl.createextruded

nxopen.uf.modl.createextruded

NX二次开发-UFUN拉伸函数UF_MODL_create_extruded

NX9+VS2012
//NX二次开发中常用拉伸函数为UF_MODL_create_extruded2,但是此函数不能拉伸片体,
//想要拉伸片体用函数UF_MODL_create_extruded。

#include <uf.h>
#include <uf_curve.h>
#include <uf_modl.h>
#include <uf_obj.h>


UF_initialize();

//创建直线1
UF_CURVE_line_t LineCoords1;
LineCoords1.start_point[0] = 0.0;
LineCoords1.start_point[1] = 0.0;
LineCoords1.start_point[2] = 0.0;
LineCoords1.end_point[0] = 0.0;
LineCoords1.end_point[1] = 100.0;
LineCoords1.end_point[2] = 0.0;
tag_t LineTag[4];
UF_CURVE_create_line(&LineCoords1, &LineTag[0]);

//创建直线2
UF_CURVE_line_t LineCoords2;
LineCoords2.start_point[0] = 0.0;
LineCoords2.start_point[1] = 100.0;
LineCoords2.start_point[2] = 0.0;
LineCoords2.end_point[0] = 100.0;
LineCoords2.end_point[1] = 100.0;
LineCoords2.end_point[2] = 0.0;
UF_CURVE_create_line(&LineCoords2, &LineTag[1]);

//创建直线3
UF_CURVE_line_t LineCoords3;
Li
  • 1
  • 2
  • 3
  • 4
  • 5
  • 6
  • 7
  • 8
  • 9
  • 10
  • 11
  • 12
  • 13
  • 14
  • 15
  • 16
  • 17
  • 18
  • 19
  • 20
  • 21
  • 22
  • 23
  • 24
  • 25
  • 26
  • 27
  • 28
  • 29
  • 30
  • 31
  • 32
  • 33
  • 34
  • 35
声明:本文内容由网友自发贡献,不代表【wpsshop博客】立场,版权归原作者所有,本站不承担相应法律责任。如您发现有侵权的内容,请联系我们。转载请注明出处:https://www.wpsshop.cn/w/笔触狂放9/article/detail/646536
推荐阅读
相关标签
  

闽ICP备14008679号